Package org.gradle.api.publish.maven

## Interface MavenPomDeveloper

-     @Incubating
      public interface MavenPomDeveloper

  A developer of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomDeveloperSpec`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getEmail​()` | The email
    `Property<java.lang.String>` | `getId​()` | The unique ID of this developer in the SCM.
    `Property<java.lang.String>` | `getName​()` | The name of this developer.
    `Property<java.lang.String>` | `getOrganization​()` | The organization name of this developer.
    `Property<java.lang.String>` | `getOrganizationUrl​()` | The organization's URL of this developer.
    `Property<java.util.Map<java.lang.String,java.lang.String>>` | `getProperties​()` | The properties of this developer.
    `SetProperty<java.lang.String>` | `getRoles​()` | The roles of this developer.
    `Property<java.lang.String>` | `getTimezone​()` | The timezone of this developer.
    `Property<java.lang.String>` | `getUrl​()` | The URL of this developer.

- - ### Method Detail

    - #### getId

          Property<java.lang.String> getId​()

      The unique ID of this developer in the SCM.

    - #### getName

          Property<java.lang.String> getName​()

      The name of this developer.

    - #### getEmail

          Property<java.lang.String> getEmail​()

      The email

    - #### getUrl

          Property<java.lang.String> getUrl​()

      The URL of this developer.

    - #### getOrganization

          Property<java.lang.String> getOrganization​()

      The organization name of this developer.

    - #### getOrganizationUrl

          Property<java.lang.String> getOrganizationUrl​()

      The organization's URL of this developer.

    - #### getRoles

          SetProperty<java.lang.String> getRoles​()

      The roles of this developer.

    - #### getTimezone

          Property<java.lang.String> getTimezone​()

      The timezone of this developer.

    - #### getProperties

          Property<java.util.Map<java.lang.String,java.lang.String>> getProperties​()

      The properties of this developer.